CREATE TABLE hrc_evt_context_rules (
    CONTEXT_RULE_ID          NUMBER(18, 0) ,
    SUBSCRIPTION_SET_ID      NUMBER(18, 0)     NOT NULL,
    CONTEXT_TYPE             VARCHAR2(120)     NOT NULL,
    CONTEXT_VALUE_N          NUMBER(18, 0) ,
    CONTEXT_VALUE_D          DATE          ,
    CONTEXT_VALUE_V          VARCHAR2(320) ,
    INCLUDE_EXCLUDE          VARCHAR2(120)     NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONTEXT_RULE_ID          NUMBER(18, 0) ,
    SUBSCRIPTION_SET_ID      NUMBER(18, 0)     NOT NULL,
    CONTEXT_TYPE             VARCHAR2(120)     NOT NULL,
    CONTEXT_VALUE_N          NUMBER(18, 0) ,
    CONTEXT_VALUE_D          DATE          ,
    CONTEXT_VALUE_V          VARCHAR2(320) ,
    INCLUDE_EXCLUDE          VARCHAR2(120)     NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrc_evt_context_rules PRIMARY KEY (CONTEXT_RULE_ID, CONTEXT_RULE_ID)
);
